/****************************************************************************/
/* GF95 ( DBセット基準書 )                                                  */
/*                                                                          */
/* Created : 2013/07/24 19:28:29                                            */
/****************************************************************************/
CREATE TABLE GF95 (
   SYSTEM_ID    VARCHAR (  10 )                                     /*  10 ｼｽﾃﾑID       */
 , PGID         VARCHAR (  30 )                 NOT NULL            /*  20 PG-ID        */
 , NMSYORI      VARCHAR ( 100 )                                     /*  30 処理ｸﾞﾙｰﾌﾟ名 */
 , SEQ          NUMBER              DEFAULT 0   NOT NULL            /*  40 順           */
 , TABLE_NAME   VARCHAR (  50 )                 NOT NULL            /*  50 ﾃｰﾌﾞﾙ名      */
 , CLM          VARCHAR (  30 )                                     /*  60 項目         */
 , MOTO         VARCHAR (  30 )                                     /*  70 入力元       */
 , ADDACT       VARCHAR ( 500 )                                     /*  80 追加時       */
 , MODIACT      VARCHAR ( 500 )                                     /*  90 更新時       */
 , DELACT       VARCHAR ( 500 )                                     /* 100 削除時       */
 , UNIQ         BIGINT                          NOT NULL            /* 800 ﾕﾆｰｸｷｰ       */
 , FGJ          VARCHAR (   1 )     DEFAULT '1' NOT NULL            /* 810 状態ﾌﾗｸﾞ     */
 , DYSET        VARCHAR (  14 )                                     /* 820 登録日時     */
 , USRSET       VARCHAR (  10 )                                     /* 830 作成社員     */
 , DYUPD        VARCHAR (  14 )                                     /* 840 更新日時     */
 , PGUPD        VARCHAR (  10 )                                     /* 850 更新PG       */
 , USRUPD       VARCHAR (  10 )                                     /* 860 更新者       */
);

CREATE SEQUENCE GF95S00 ;

CREATE TRIGGER GF95T00 FOR GF95
  BEFORE INSERT AS 
  BEGIN 
    NEW.UNIQ = GEN_ID( GF95S00,1 );
  END; 
