/****************************************************************************/
/* GF73 ( 使用カラム状態テーブル )                                          */
/*                                                                          */
/* Created : 2013/07/24 19:28:22                                            */
/****************************************************************************/
CREATE TABLE GF73 (
   SYSTEM_ID    VARCHAR     (   10 )                    NOT NULL            /*  10 ｼｽﾃﾑID       */
 , ADDRESS      VARCHAR     (  256 )                                        /*  20 ｱﾄﾞﾚｽ        */
 , PRE_FIX      VARCHAR     (   10 )                    NOT NULL            /*  29 名前空間     */
 , FILENAME     VARCHAR     (   60 )                                        /*  30 ﾌｧｲﾙ名       */
 , FILEPATH     VARCHAR     (  256 )                                        /*  40 ﾌｧｲﾙﾊﾟｽ      */
 , MODIFIED     VARCHAR     (   14 )                                        /*  50 最終更新日   */
 , TAGNAME      VARCHAR     (   30 )                                        /*  60 ﾀｸﾞ名称      */
 , FORM_TYPE    VARCHAR     (   10 )                                        /*  70 ﾌｫｰﾑﾀｲﾌﾟ     */
 , FORM_NAME    VARCHAR     (  200 )                                        /*  80 名称         */
 , FORM_VAL     VARCHAR     ( 1000 )                                        /*  90 値           */
 , DEFAULT_VAL  VARCHAR     (  100 )                                        /* 100 ﾃﾞﾌｫﾙﾄ値     */
 , LBLCD        VARCHAR     (   60 )                                        /* 110 ﾗﾍﾞﾙｺｰﾄﾞ     */
 , MSGCD        VARCHAR     (   20 )                                        /* 120 ﾒｯｾｰｼﾞID     */
 , MUST         VARCHAR     (   10 )                                        /* 130 必須         */
 , VIEW_LENGTH  VARCHAR     (   10 )                                        /* 140 表示桁数     */
 , USE_LENGTH   VARCHAR     (    9 )        DEFAULT '0' NOT NULL            /* 150 使用桁数     */
 , CODE_CLM     VARCHAR     (   30 )                                        /* 160 ｺｰﾄﾞｶﾗﾑ      */
 , READONLY     VARCHAR     (   10 )                                        /* 170 読取専用     */
 , DISABLED     VARCHAR     (   10 )                                        /* 180 無効         */
 , ROLES        VARCHAR     (  500 )                                        /* 190 ﾛｰﾙｽﾞ        */
 , TEXT_DATA    LONGVARCHAR                                                 /* 200 ﾃｷｽﾄ         */
 , FGOMIT       VARCHAR     (    1 )        DEFAULT '0' NOT NULL            /* 210 除外ﾌﾗｸﾞ     */
 , UNIQ         IDENTITY                                                    /* 800 ﾕﾆｰｸｷｰ       */
 , FGJ          VARCHAR     (    1 )        DEFAULT '1' NOT NULL            /* 810 状態ﾌﾗｸﾞ     */
 , DYSET        VARCHAR     (   14 )                                        /* 820 登録日時     */
 , PGSET        VARCHAR     (   10 )                                        /* 830 作成PG       */
 , PGPSET       VARCHAR     (   10 )                                        /* 840 作成親PG     */
 , USRSET       VARCHAR     (   10 )                                        /* 850 作成社員     */
 , DYUPD        VARCHAR     (   14 )                                        /* 860 更新日時     */
 , PGUPD        VARCHAR     (   10 )                                        /* 870 更新PG       */
 , PGPUPD       VARCHAR     (   10 )                                        /* 880 更新親PG     */
 , USRUPD       VARCHAR     (   10 )                                        /* 890 更新者       */
);


