/****************************************************************************/
/* GF71 ( 画面関連状態テーブル )                                            */
/*                                                                          */
/* Created : 2013/07/24 19:28:25                                            */
/****************************************************************************/
CREATE TABLE GF71 (
   SYSTEM_ID    VARCHAR (  10 )                 NOT NULL                        /*  10 ｼｽﾃﾑID       */
 , ADDRESS      VARCHAR ( 256 )                                                 /*  20 ｱﾄﾞﾚｽ        */
 , PRE_FIX      VARCHAR (  10 )                 NOT NULL                        /*  24 名前空間     */
 , FILENAME     VARCHAR (  60 )                                                 /*  30 ﾌｧｲﾙ名       */
 , FILEPATH     VARCHAR ( 256 )                                                 /*  40 ﾌｧｲﾙﾊﾟｽ      */
 , MODIFIED     VARCHAR (  14 )                                                 /*  50 最終更新日   */
 , TAGNAME      VARCHAR (  30 )                                                 /*  60 ﾀｸﾞ名称      */
 , TO_GAMENID   VARCHAR (  30 )                                                 /*  70 先画面ID     */
 , HREF         VARCHAR ( 256 )                                                 /*  80 ﾘﾝｸ先URL     */
 , TARGET       VARCHAR (  10 )                                                 /*  90 ﾀｰｹﾞｯﾄ       */
 , CLM          VARCHAR (  30 )                                                 /* 100 項目         */
 , P_KEYS       TEXT                                                            /* 110 引数ｷｰ       */
 , P_VALS       TEXT                                                            /* 120 引数値       */
 , USEGAMENID   VARCHAR (  10 )                                                 /* 130 画面使用     */
 , USEREDIRECT  VARCHAR (  10 )                                                 /* 140 ﾘﾀﾞｲﾚｸﾄ使用  */
 , TEXT_DATA    TEXT                                                            /* 150 ﾃｷｽﾄ         */
 , FGOMIT       VARCHAR (   1 )     DEFAULT '0' NOT NULL                        /* 160 除外ﾌﾗｸﾞ     */
 , UNIQ         BIGINT                          NOT NULL    AUTO_INCREMENT      /* 800 ﾕﾆｰｸｷｰ       */
 , FGJ          VARCHAR (   1 )     DEFAULT '1' NOT NULL                        /* 810 状態ﾌﾗｸﾞ     */
 , DYSET        VARCHAR (  14 )                                                 /* 820 登録日時     */
 , PGSET        VARCHAR (  10 )                                                 /* 830 作成PG       */
 , PGPSET       VARCHAR (  10 )                                                 /* 840 作成親PG     */
 , USRSET       VARCHAR (  10 )                                                 /* 850 作成社員     */
 , DYUPD        VARCHAR (  14 )                                                 /* 860 更新日時     */
 , PGUPD        VARCHAR (  10 )                                                 /* 870 更新PG       */
 , PGPUPD       VARCHAR (  10 )                                                 /* 880 更新親PG     */
 , USRUPD       VARCHAR (  10 )                                                 /* 890 更新者       */
);


