/****************************************************************************/
/* GF71 ( 画面関連状態テーブル )                                            */
/*                                                                          */
/* Created : 2013/07/24 19:28:33                                            */
/****************************************************************************/
CREATE TABLE GF71 (
   SYSTEM_ID    varchar           (  10 )                   NOT NULL            /*  10 ｼｽﾃﾑID       */
 , ADDRESS      varchar           ( 256 )                                       /*  20 ｱﾄﾞﾚｽ        */
 , PRE_FIX      varchar           (  10 )                   NOT NULL            /*  24 名前空間     */
 , FILENAME     varchar           (  60 )                                       /*  30 ﾌｧｲﾙ名       */
 , FILEPATH     varchar           ( 256 )                                       /*  40 ﾌｧｲﾙﾊﾟｽ      */
 , MODIFIED     varchar           (  14 )                                       /*  50 最終更新日   */
 , TAGNAME      varchar           (  30 )                                       /*  60 ﾀｸﾞ名称      */
 , TO_GAMENID   varchar           (  30 )                                       /*  70 先画面ID     */
 , HREF         varchar           ( 256 )                                       /*  80 ﾘﾝｸ先URL     */
 , TARGET       varchar           (  10 )                                       /*  90 ﾀｰｹﾞｯﾄ       */
 , CLM          varchar           (  30 )                                       /* 100 項目         */
 , P_KEYS       varchar           ( 500 )                                       /* 110 引数ｷｰ       */
 , P_VALS       varchar           ( 500 )                                       /* 120 引数値       */
 , USEGAMENID   varchar           (  10 )                                       /* 130 画面使用     */
 , USEREDIRECT  varchar           (  10 )                                       /* 140 ﾘﾀﾞｲﾚｸﾄ使用  */
 , TEXT_DATA    text                                                            /* 150 ﾃｷｽﾄ         */
 , FGOMIT       varchar           (   1 )       DEFAULT 0   NOT NULL            /* 160 除外ﾌﾗｸﾞ     */
 , UNIQ         int IDENTITY(1,1)                                               /* 800 ﾕﾆｰｸｷｰ       */
 , FGJ          varchar           (   1 )       DEFAULT 1   NOT NULL            /* 810 状態ﾌﾗｸﾞ     */
 , DYSET        varchar           (  14 )                                       /* 820 登録日時     */
 , PGSET        varchar           (  10 )                                       /* 830 作成PG       */
 , PGPSET       varchar           (  10 )                                       /* 840 作成親PG     */
 , USRSET       varchar           (  10 )                                       /* 850 作成社員     */
 , DYUPD        varchar           (  14 )                                       /* 860 更新日時     */
 , PGUPD        varchar           (  10 )                                       /* 870 更新PG       */
 , PGPUPD       varchar           (  10 )                                       /* 880 更新親PG     */
 , USRUPD       varchar           (  10 )                                       /* 890 更新者       */
);


