/****************************************************************************/
/* GF73 ( 使用カラム状態テーブル )                                          */
/*                                                                          */
/* Created : 2013/07/24 19:28:33                                            */
/****************************************************************************/
CREATE TABLE GF73 (
   SYSTEM_ID    varchar           (   10 )                  NOT NULL            /*  10 ｼｽﾃﾑID       */
 , ADDRESS      varchar           (  256 )                                      /*  20 ｱﾄﾞﾚｽ        */
 , PRE_FIX      varchar           (   10 )                  NOT NULL            /*  29 名前空間     */
 , FILENAME     varchar           (   60 )                                      /*  30 ﾌｧｲﾙ名       */
 , FILEPATH     varchar           (  256 )                                      /*  40 ﾌｧｲﾙﾊﾟｽ      */
 , MODIFIED     varchar           (   14 )                                      /*  50 最終更新日   */
 , TAGNAME      varchar           (   30 )                                      /*  60 ﾀｸﾞ名称      */
 , FORM_TYPE    varchar           (   10 )                                      /*  70 ﾌｫｰﾑﾀｲﾌﾟ     */
 , FORM_NAME    varchar           (  200 )                                      /*  80 名称         */
 , FORM_VAL     varchar           ( 1000 )                                      /*  90 値           */
 , DEFAULT_VAL  varchar           (  100 )                                      /* 100 ﾃﾞﾌｫﾙﾄ値     */
 , LBLCD        varchar           (   60 )                                      /* 110 ﾗﾍﾞﾙｺｰﾄﾞ     */
 , MSGCD        varchar           (   20 )                                      /* 120 ﾒｯｾｰｼﾞID     */
 , MUST         varchar           (   10 )                                      /* 130 必須         */
 , VIEW_LENGTH  varchar           (   10 )                                      /* 140 表示桁数     */
 , USE_LENGTH   varchar           (    9 )      DEFAULT 0   NOT NULL            /* 150 使用桁数     */
 , CODE_CLM     varchar           (   30 )                                      /* 160 ｺｰﾄﾞｶﾗﾑ      */
 , READONLY     varchar           (   10 )                                      /* 170 読取専用     */
 , DISABLED     varchar           (   10 )                                      /* 180 無効         */
 , ROLES        varchar           (  500 )                                      /* 190 ﾛｰﾙｽﾞ        */
 , TEXT_DATA    text                                                            /* 200 ﾃｷｽﾄ         */
 , FGOMIT       varchar           (    1 )      DEFAULT 0   NOT NULL            /* 210 除外ﾌﾗｸﾞ     */
 , UNIQ         int IDENTITY(1,1)                                               /* 800 ﾕﾆｰｸｷｰ       */
 , FGJ          varchar           (    1 )      DEFAULT 1   NOT NULL            /* 810 状態ﾌﾗｸﾞ     */
 , DYSET        varchar           (   14 )                                      /* 820 登録日時     */
 , PGSET        varchar           (   10 )                                      /* 830 作成PG       */
 , PGPSET       varchar           (   10 )                                      /* 840 作成親PG     */
 , USRSET       varchar           (   10 )                                      /* 850 作成社員     */
 , DYUPD        varchar           (   14 )                                      /* 860 更新日時     */
 , PGUPD        varchar           (   10 )                                      /* 870 更新PG       */
 , PGPUPD       varchar           (   10 )                                      /* 880 更新親PG     */
 , USRUPD       varchar           (   10 )                                      /* 890 更新者       */
);


